using System.ComponentModel.DataAnnotations.Schema;

namespace Femto.Modules.Media.Data;

[Table("saved_blob")]
internal class SavedBlob
{
    public Guid Id { get; private set; }
    public DateTime UploadedOn { get; private set; }
    public string Type { get; private set; }
    public long? Size { get; private set; }

    public SavedBlob(Guid id, string type, long? size)
    {
        Id = id;
        UploadedOn = DateTime.UtcNow;
        Type = type;
        Size = size;
    }

    private SavedBlob() { }
}
